## free-java-sdk 0.4-2

=== Makefile ===
# Makefile for free-java-sdk package
#
#
DESTDIR=
JH=$(DESTDIR)/usr/lib/fjsdk
# default target
all: build


# clean all the stuff
clean:

# build anything that need to be build
build:

# install the files in filesystem
install:
	# copy needed files to their locations
	for one in bin doc lib; do \
	 cp $$one.ABOUT.txt $(JH)/$$one/ABOUT.txt; \
	done
	cp bin.java-alt-setup.sh $(JH)/bin/java-alt-setup
	chmod +x $(JH)/bin/java-alt-setup
	sh ./mkwrapper.sh $(JH)/bin/java /usr/bin/java-sablevm
	sh ./mkwrapper.sh $(JH)/bin/jar /usr/bin/fastjar
	sh ./mkwrapper.sh $(JH)/bin/javah /usr/bin/javah-cp
	sh ./mkwrapper.sh $(JH)/bin/javap /usr/bin/javap-cp
	sh ./mkwrapper.sh $(JH)/bin/serialver /usr/bin/serialver-cp
	sh ./mkwrapper.sh $(JH)/bin/javadoc /usr/bin/gjdoc
	sh ./mkwrapper.sh $(JH)/bin/gjdoc /usr/bin/gjdoc
	sh ./mkwrapper.sh $(JH)/bin/javac /usr/bin/jikes-sablevm

####################################################################

# we link to jikes-sablevm instead of using own wrapper
#	cp bin.javac.sh $(JH)/bin/javac
#	chmod +x $(JH)/bin/javac

# we don't symlink things anymore
dummy:
	# symlink what needs to be symlinked
	ln -s ../../../bin/java-sablevm $(JH)/bin/java
#	ln -s /usr/bin/jikes $(JH)/bin/javac
	ln -s ../../../bin/fastjar $(JH)/bin/jar
	ln -s ../../../bin/javah-cp $(JH)/bin/javah
	ln -s ../../../bin/javap-cp $(JH)/bin/javap
	ln -s ../../../bin/serialver-cp $(JH)/bin/serialver
	ln -s ../../../bin/gjdoc $(JH)/bin/javadoc
	ln -s ../../../share/sablevm/classes $(JH)/lib/classpath
