=== debian/changelog ===
free-java-sdk (0.4-2) unstable; urgency=low

  * Added Recommend: libgnujaxp-java

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Sun,  6 Jun 2004 23:16:12 -0400

free-java-sdk (0.4-1) unstable; urgency=low

  * Use jikes-sablevm wrapper as javac instead of own wrapper.
  * There's no gjdoc-native anymore.
  * Improved package description.

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Sun,  6 Jun 2004 22:14:38 -0400

free-java-sdk (0.3-1) unstable; urgency=high

  * Urgency high because we want to get back to testing ASAP.
  * Don't depend on gjdoc, but only suggest it. Closes: #227840, #169759.
  * Fixed path to gjdoc. Closes: #199488.
  * Change license to much more permissive.
  * Fix typo. Closes: #188697.
  * There's no gjdoc-native anymore. Close: #169815.

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Sat, 10 Apr 2004 21:00:51 -0400

free-java-sdk (0.2-2) unstable; urgency=low

  * Following SableVM java wrapper move to /usr/bin/java-sablevm.

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Tue,  1 Apr 2003 11:06:23 +0200

free-java-sdk (0.2-1) unstable; urgency=low

  * Replaced symlinks to utilities with small scripts that add
    /usr/lib/fjsdk/bin to PATH thus all called utilies will now really
    use our java and utilities w/o the need of altering alternatives

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Wed, 20 Nov 2002 16:44:57 +0100

free-java-sdk (0.1-2) unstable; urgency=low

  * Added depend alternative for gjdoc OR gjdoc-native. Closes: #169815,
    #169759

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Wed, 20 Nov 2002 02:10:15 +0100

free-java-sdk (0.1-1) unstable; urgency=low

  * Initial Release. Closes: #156407
  * Created JAVA_HOME compatible environment in /usr/lib/fjsdk
  * Added jikes-sablevm wrapper as java compatible wrapper.

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Mon, 12 Aug 2002 20:44:19 +0200

Local variables:
mode: debian-changelog
End:
