## free-java-sdk 1.0-1

=== Makefile ===
# Makefile for free-java-sdk package
#

DESTDIR=
JH=$(DESTDIR)/usr/lib/fjsdk
# default target
all: build

# clean all the stuff
clean:

# build anything that need to be build
build:

# install the files in filesystem
install:
	# copy needed files to their locations
	for one in bin doc lib; do \
	 cp $$one.ABOUT.txt $(JH)/$$one/ABOUT.txt; \
	done
	cp bin.java-alt-setup.sh $(DESTDIR)/usr/bin/java-alt-setup
	chmod +x $(DESTDIR)/usr/bin/java-alt-setup
	-mkdir -p $(JH)/jre/lib
	# create wrappers
	sh ./mkwrapper.sh $(JH)/bin/java /usr/bin/java-sablevm
	sh ./mkwrapper.sh $(JH)/bin/jar /usr/bin/fastjar
	sh ./mkwrapper.sh $(JH)/bin/javah /usr/bin/javah-cp
	sh ./mkwrapper.sh $(JH)/bin/javap /usr/bin/javap-cp
	sh ./mkwrapper.sh $(JH)/bin/serialver /usr/bin/serialver-cp
	sh ./mkwrapper.sh $(JH)/bin/javadoc /usr/bin/gjdoc
	sh ./mkwrapper.sh $(JH)/bin/gjdoc /usr/bin/gjdoc
	sh ./mkwrapper.sh $(JH)/bin/javac /usr/bin/jikes-sablevm
	# create symlinks
	ln -sf ../bin $(JH)/jre/bin
	ln -sf ../../../../share/sablevm-classpath/libclasspath.jar $(JH)/jre/lib/rt.jar
	ln -sf ../../../sablevm/jre/lib/ext $(JH)/jre/lib/ext
