=== debian/changelog ===
free-java-sdk (1.0-1) unstable; urgency=medium

  * Added the 'jre' directory (in /usr/lib/fjsdk) and many of the
    elements found in it in non-free JDKs.  This allows Eclipse and
    others to recognize free-java-sdk as a JRE (Java Runtime Environment).
  * Explained in update-java-alt script output that free-java-sdk does
    *not* use alternatives mechanism itself.
  * These changes are important.  Please let it into Sarge.

 -- Grzegorz B. Prokopski <gadek@debian.org>  Sun, 20 Mar 2005 20:10:04 -0500
