=== debian/control ===
Source: free-java-sdk
Section: misc
Priority: optional
Maintainer: Grzegorz Prokopski (Debian Developer) <gadek@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: free-java-sdk
Architecture: all
Depends: jikes-sablevm, fastjar, sablevm, classpath-tools
Recommends: libgnujaxp-java
Suggests: gjdoc
Conflicts: sablevm (<= 1.0.9)
Description: Complete Java SDK environment consisting of free Java tools
 The goal of this package is to be a replacement of commercial Java Source
 Development Kits (JDK).  This is accomplished by integrating the best
 free java tools into one development environment.
 .
 This way free-java-sdk provides an easy way to install a
  * coherent,
  * complete,
  * working,
  * robust,
  * free,
  * compatible,
  * integrated
 Java development environment.
 .
 After installation of this package you should be able to set JAVA_HOME
 environment variable to /usr/lib/fjsdk (and preferably add /usr/lib/fjsdk/bin
 at the beginning of your PATH) and use the common java utilities just like
 in a non-free Java SDK.  Packages that can be built and run with help from
 free-java-sdk's Java environment are in general eliglible to be placed in
 the "main" section of Debian distribution.
